import { makeObservable } from "mobx";
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";

// 社区
class CommunityConfig {
    static LIST: string = "/v1/community/list"
    static ADD: string = "/v1/community"
    static DELETE: string = "/v1/community"
    static EDIT: string = "/v1/community"
}
class CommunityStore extends BaseStore<TagDataType> {
    constructor() {
        super(CommunityConfig)
        makeObservable(this, {})
    }
}

export const communityStore = new CommunityStore();
